Bug 172232 - snack.py - DeprecationWarning: integer argument expected, got float
snack.py - DeprecationWarning: integer argument expected, got float
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-11-01 14:34 EST by James Laska
Modified: 2013-09-02 02:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 11:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt (1.26 MB, text/plain)
2005-11-01 14:34 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2005-11-01 14:34:53 EST
# TREE rawhide-20051101
# ARCH x86_64
# CASE tui nfs installation

Could not find this reported yet ... my apologies if this has been filed
already.  Seems like the call to Scale() in the ProgressWindow constructor uses
deprecated args.

[ anaconda.log ]
18:57:35 WARNING : /usr/lib64/python2.4/site-packages/snack.py:247:
DeprecationWarning: integer argument expected, got float
   self.w.scaleSet(amount)
18:57:44 WARNING : /usr/lib64/python2.4/site-packages/snack.py:250:
DeprecationWarning: integer argument expected, got float
   self.w = _snack.scale(width,total)

18:58:14 CRITICAL: Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1187, in ?
    intf.run(id, dispatch)
  File "/usr/lib/anaconda/text.py", line 555, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 145, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 216, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/backend.py", line 138, in doPostSelection
    backend.doPostSelection(intf, id, instPath)
  File "/usr/lib/anaconda/yuminstall.py", line 392, in doPostSelection
    (code, msgs) = self.ayum.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 339, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 252, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 347, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(requiringPkg,
requirementTuple, errormsgs)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 557, in
_requiringFromTransaction
    provSack = self.whatProvides(needname, needflags, needversion)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 74, in whatProvides
    self.repos.populateSack(with='filelists')
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 294, in populateSack
    dobj = repo.cacheHandler.getFilelists(xml, csum)
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 101, in
getFilelists
    return self._getbase(location, checksum, 'filelists')
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 89, in _getbase
    self.updateSqliteCache(db, parser, checksum, metadatatype)
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 347, in
updateSqliteCache
    self.callback.progressbar(parser.count, parser.total, self.repoid)
  File "/usr/lib/anaconda/yuminstall.py", line 656, in progressbar
    self.window.set(current)
  File "/usr/lib/anaconda/text.py", line 122, in set
    self.scale.set(amount)
AttributeError: 'NoneType' object has no attribute 'set'
Comment 1 James Laska 2005-11-01 14:34:55 EST
Created attachment 120621 [details]
anacdump.txt

Note You need to log in before you can comment on or make changes to this bug.